<Type Name="ICodeGenerator" FullName="System.CodeDom.Compiler.ICodeGenerator">
  <TypeSignature Language="C#" Value="public abstract interface ICodeGenerator;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base />
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="GenerateCodeFromType">
      <MemberSignature Language="C#" Value="public virtual void GenerateCodeFromType (CodeDom.CodeTypeDeclaration e, IO.TextWriter w, CodeGeneratorOptions o);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTypeDeclaration" />
		<Parameter Name="w" Type="System.IO.TextWriter" />
		<Parameter Name="o" Type="System.CodeDom.Compiler.CodeGeneratorOptions" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <param name="w">To be added: an object of type 'IO.TextWriter'</param>
        <param name="o">To be added: an object of type 'CodeGeneratorOptions'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCodeFromCompileUnit">
      <MemberSignature Language="C#" Value="public virtual void GenerateCodeFromCompileUnit (CodeDom.CodeCompileUnit e, IO.TextWriter w, CodeGeneratorOptions o);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCompileUnit" />
		<Parameter Name="w" Type="System.IO.TextWriter" />
		<Parameter Name="o" Type="System.CodeDom.Compiler.CodeGeneratorOptions" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCompileUnit'</param>
        <param name="w">To be added: an object of type 'IO.TextWriter'</param>
        <param name="o">To be added: an object of type 'CodeGeneratorOptions'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCodeFromNamespace">
      <MemberSignature Language="C#" Value="public virtual void GenerateCodeFromNamespace (CodeDom.CodeNamespace e, IO.TextWriter w, CodeGeneratorOptions o);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespace" />
		<Parameter Name="w" Type="System.IO.TextWriter" />
		<Parameter Name="o" Type="System.CodeDom.Compiler.CodeGeneratorOptions" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <param name="w">To be added: an object of type 'IO.TextWriter'</param>
        <param name="o">To be added: an object of type 'CodeGeneratorOptions'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCodeFromStatement">
      <MemberSignature Language="C#" Value="public virtual void GenerateCodeFromStatement (CodeDom.CodeStatement e, IO.TextWriter w, CodeGeneratorOptions o);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeStatement" />
		<Parameter Name="w" Type="System.IO.TextWriter" />
		<Parameter Name="o" Type="System.CodeDom.Compiler.CodeGeneratorOptions" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeStatement'</param>
        <param name="w">To be added: an object of type 'IO.TextWriter'</param>
        <param name="o">To be added: an object of type 'CodeGeneratorOptions'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCodeFromExpression">
      <MemberSignature Language="C#" Value="public virtual void GenerateCodeFromExpression (CodeDom.CodeExpression e, IO.TextWriter w, CodeGeneratorOptions o);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeExpression" />
		<Parameter Name="w" Type="System.IO.TextWriter" />
		<Parameter Name="o" Type="System.CodeDom.Compiler.CodeGeneratorOptions" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeExpression'</param>
        <param name="w">To be added: an object of type 'IO.TextWriter'</param>
        <param name="o">To be added: an object of type 'CodeGeneratorOptions'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Supports">
      <MemberSignature Language="C#" Value="public virtual bool Supports (GeneratorSupport supports);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="supports" Type="System.CodeDom.Compiler.GeneratorSupport" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="supports">To be added: an object of type 'GeneratorSupport'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetTypeOutput">
      <MemberSignature Language="C#" Value="public virtual string GetTypeOutput (CodeDom.CodeTypeReference type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="type" Type="System.CodeDom.CodeTypeReference" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="type">To be added: an object of type 'CodeDom.CodeTypeReference'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateValidIdentifier">
      <MemberSignature Language="C#" Value="public virtual string CreateValidIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateEscapedIdentifier">
      <MemberSignature Language="C#" Value="public virtual string CreateEscapedIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ValidateIdentifier">
      <MemberSignature Language="C#" Value="public virtual void ValidateIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsValidIdentifier">
      <MemberSignature Language="C#" Value="public virtual bool IsValidIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
